if not Global.game_settings or not Global.game_settings.level_id or Global.game_settings.level_id ~= "bph" then
	return
end
	
local effect_positions = {
	{
		position = Vector3(-3878, -11047, 975),
		rotation = Rotation(0, 0, -0)
	},
	{
		position = Vector3(-5804, -10760, 877.137),
		rotation = Rotation(0, 0, -0)
	},
	{
		position = Vector3(-7619, -10919, 976.137),
		rotation = Rotation(0, 0, -0)
	},
	{
		position = Vector3(-3938, -9086, 976.137),
		rotation = Rotation(0, 0, -0)
	},
	{
		position = Vector3(-5828, -8910, 976.137),
		rotation = Rotation(0, 0, -0)
	},
	{
		position = Vector3(-7619, -8889, 821.137),
		rotation = Rotation(0, 0, -0)
	},
	{
		position = Vector3(-7619, -6834, 820),
		rotation = Rotation(0, 0, -0)
	},
	{
		position = Vector3(-5715, -6854, 1011.6),
		rotation = Rotation(0, 0, -0)
	},
	{
		position = Vector3(-4014, -5875, 1016),
		rotation = Rotation(0, 0, -0)
	},
	{
		position = Vector3(-2962.83, -4137.83, 975),
		rotation = Rotation(45, -0, -0)
	},
	{
		position = Vector3(-1841.77, -5680.23, 773.63),
		rotation = Rotation(45, -0, -0)
	},
	{
		position = Vector3(-4253.07, -2805.78, 1818.27),
		rotation = Rotation(45, -0, -0)
	},
	{
		position = Vector3(-5410.36, -4393.6, 1652.27),
		rotation = Rotation(-45, 0, -0)
	},
	{
		position = Vector3(-5680.49, -1499.51, 1818.27),
		rotation = Rotation(45, -0, -0)
	},
	{
		position = Vector3(-6765.27, -3086.73, 1818.27),
		rotation = Rotation(45, -0, -0)
	},
	{
		position = Vector3(-2848.69, -1481.5, 975),
		rotation = Rotation(45, -0, -0)
	},
	{
		position = Vector3(-1547.34, -2886.84, 975),
		rotation = Rotation(45, -0, -0)
	},
	{
		position = Vector3(-3790, -7151, 975),
		rotation = Rotation(0, 0, -0)
	}
}

Hooks:PostHook(MissionScript, "activate", "ParticleEffectInHellsIsland_Setup", function(self, ...)
	for key, data in ipairs(effect_positions) do
		World:effect_manager():spawn({
			effect = Idstring("effects/particles/snow/wither_debris"),
			position = data.position,
			rotation = data.rotation
		})
	end
end)